Bug 1876796 - kdevelop crashed during analysis in clang
Summary: kdevelop crashed during analysis in clang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clang
Version: 32
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: serge_sans_paille
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 08:10 UTC by painless.roaster
Modified: 2020-10-26 01:06 UTC (History)
5 users (show)

Fixed In Version: clang-10.0.1-3.fc32 clang-11.0.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:39:46 UTC
Type: Bug


Attachments (Terms of Use)
patch for fix (1.62 KB, patch)
2020-09-08 08:10 UTC, painless.roaster
no flags Details | Diff

Description painless.roaster 2020-09-08 08:10:16 UTC
Created attachment 1714040 [details]
patch for fix

Description of problem:


When an unfinished declaration is written, kdevelop crashed during analysis in clang.

The problem is very difficult to replicate on a general example. However, it occurs very often in my big project.

The solution is here: https://reviews.llvm.org/D86207

Please apply the patch to the clang package.

Comment 2 serge_sans_paille 2020-09-24 12:23:51 UTC
Fortunately, the patch landed in the release/11.x branch upstream, as 96b8fd70d1572d3d38abce208e855c49f9eeac1d. So this should be fixed with rc3, once it lands in rawhide.

Comment 3 painless.roaster 2020-10-06 09:36:57 UTC
Please, backport to FC32 packages. Fix is very simple.
Kdevelop in the FC32 distribution is not usable! It crashes tooooooo often.
Not everyone can do a recompilation.

Comment 4 serge_sans_paille 2020-10-08 08:37:41 UTC
Sure, I'll do a backport for f32 once the final release lands in rawhide.

Comment 5 Fedora Update System 2020-10-14 14:53:40 UTC
FEDORA-2020-48b17dda95 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-48b17dda95

Comment 6 Fedora Update System 2020-10-15 14:37:05 UTC
FEDORA-2020-48b17dda95 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-48b17dda95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-48b17dda95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-16 12:08:53 UTC
FEDORA-2020-7df383d509 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7df383d509

Comment 8 Fedora Update System 2020-10-16 22:17:32 UTC
FEDORA-2020-7df383d509 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7df383d509`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7df383d509

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-23 22:39:46 UTC
FEDORA-2020-48b17dda95 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-26 01:06:00 UTC
FEDORA-2020-7df383d509 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.